# Class UiBinding.TextComponentAdapter<PropertyType>

java.lang.Object
com.codename1.properties.UiBinding.ComponentAdapter<PropertyType, TextComponent>
com.codename1.properties.UiBinding.TextComponentAdapter<PropertyType>

Enclosing class:
  `UiBinding`

public static class UiBinding.TextComponentAdapter<PropertyType> extends UiBinding.ComponentAdapter<PropertyType, TextComponent>

Adapts a `com.codename1.ui.TextComponent` to binding

##### Parameters

- `the`: type of the property generic

- ## Field Summary

  ### Fields inherited from class UiBinding.ComponentAdapter

  `toComponentType, toPropertyType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextComponentAdapter()`
  Constructs a new binding assuming a String property
  `TextComponentAdapter(UiBinding.ObjectConverter toPropertyType)`
  Constructs a new binding

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assignTo(PropertyType value, TextComponent cmp)`
  Assigns the value from the property into the component
  `void`
  `bindListener(TextComponent cmp, ActionListener<ActionEvent> l)`
  Binds an action listener to changes in the component
  `PropertyType`
  `getFrom(TextComponent cmp)`
  Returns the value for the set method of the property from the given component
  `void`
  `removeListener(TextComponent cmp, ActionListener<ActionEvent> l)`
  Removes the action listener from changes in the component

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextComponentAdapter

    public TextComponentAdapter(UiBinding.ObjectConverter toPropertyType)

    Constructs a new binding

    ###### Parameters

    - `toPropertyType`: the conversion logic to the property

  - ### TextComponentAdapter

    public TextComponentAdapter()
    Constructs a new binding assuming a String property

- ## Method Details

  - ### assignTo

    public void assignTo(PropertyType value, TextComponent cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Assigns the value from the property into the component

    ###### Parameters

    - `value`: the value that was returned from the property get method

    - `cmp`: the component instance

    Specified by:
      `assignTo` in class `UiBinding.ComponentAdapter<PropertyType, TextComponent>`

  - ### getFrom

    public PropertyType getFrom(TextComponent cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Returns the value for the set method of the property from the given component

    ###### Parameters

    - `cmp`: the component

    ###### Returns

    the value we can place into the set method

    Specified by:
      `getFrom` in class `UiBinding.ComponentAdapter<PropertyType, TextComponent>`

  - ### bindListener

    public void bindListener(TextComponent cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Binds an action listener to changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `bindListener` in class `UiBinding.ComponentAdapter<PropertyType, TextComponent>`

  - ### removeListener

    public void removeListener(TextComponent cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Removes the action listener from changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `removeListener` in class `UiBinding.ComponentAdapter<PropertyType, TextComponent>`